<?php
/*
 * @author	Robert "Tatzelwurm" Hempel
 * @copyright	2007-2009 INSIDE das Hörspiel
 * @license	Creative Commons Attribution-Share Alike 3.0 http://creativecommons.org/licenses/by-sa/3.0/de/
 * @package	de.inside.gwsp
 * @subpackage	system.event.listener
 * @category	CompetitionCash
 * 
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class CompetitionCashACPListener implements EventListener {
	
	private $money = 0;
	
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) 
	{
		switch ($eventName)
		{
			case 'readFormParameters':
				if (isset($_POST['money'])) $this->money = intval($_POST['money']);
				else $this->money = 0;
			break;
			
			case 'save':
				$eventObj->additionalFields['money'] = $this->money;
			break;
			
			case 'readData':
				if ($className == 'CompetitionEditForm') 
				{
					if (!count($_POST)) 
					{
						$this->money = $eventObj->competition->value('money');
					}
				}
			break;

			case 'assignVariables':
				
				WCF::getTPL()->assign(array(
					'money' => $this->money,
				));
				
				WCF::getTPL()->append('additionalGWSPFields', WCF::getTPL()->fetch('competitionCashACP'));
			break;
		} 
	}
}
?>