<?php
/*
 * @author	Robert "Tatzelwurm" Hempel
 * @copyright	2007-2009 INSIDE das Hörspiel
 * @license	Creative Commons Attribution-Share Alike 3.0 http://creativecommons.org/licenses/by-sa/3.0/de/
 * @package	de.inside.gwsp
 * @subpackage	system.event.listener
 * @category	CompetitionCash
 * 
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class CompetitionCashListener implements EventListener {
	private $money		= 0;
	
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {

		switch ($eventName)
		{
			case 'assignVariables':
				if ($className == 'IndexPage') 
				{
					foreach ($eventObj->competitions as $competition)
					{
						if (GUTHABEN_ENABLE_GLOBAL && $competition->value('money'))
					        {
							$additionalTitleContent = WCF::getTPL()->get('additionalTitleContent');
							WCF::getTPL()->clearAssign('additionalTitleContent');
							if (isset($additionalTitleContent[$competition->value('competitionID')]) && $additionalTitleContent[$competition->value('competitionID')] != '') 
							{
									$additionalTitleContent[$competition->value('competitionID')] .= "<br />".WCF::getLanguage()->get('gws.index.money').$competition->value('money').WCF::getLanguage()->get('wcf.guthaben.currency');
							}
							else 
							{
									$additionalTitleContent[$competition->value('competitionID')] = "<br />".WCF::getLanguage()->get('gws.index.money').$competition->value('money').WCF::getLanguage()->get('wcf.guthaben.currency');
							}
							WCF::getTPL()->assign('additionalTitleContent', $additionalTitleContent);
					        }
					}
				}
			break;
			
			case 'save':
				if ($className == 'CompetitionForm')
				{
					if (GUTHABEN_ENABLE_GLOBAL)
					{
						if($eventObj->competition->value('money') >= 1) 
						{	// subtract Guthaben
							if (!Guthaben::sub($eventObj->competition->value('money'),'gws.global.assignment',null,'index.php?form=Competition&amp;competitionID='.$eventObj->competitionID.SID_ARG_2ND_NOT_ENCODED))
							{
								throw new NamedUserException(WCF::getLanguage()->get('gws.global.error.money'));
								exit;
							}
						}
					}
				}
			break;
		} 
	}
}
?>